import i18n from "i18next";
import { initReactI18next } from "react-i18next";

const resources = {
  en: {
    translation: {
      slogan:
        "Department of Agriculture Central Agricultural Laboratory(Soil,Seed & Plant Protection)",

      login_heading: "Login",
      login_subHeading:
        "Login using the data you entered during the registration",
      username_label: "Username",
      password_label: "Password",
      username_required: "Username is required",
      email_required: "Email is required",
      password_required: "Password is required",
      login_btn: "Login",
      forgot_password: "Forgot Password",
      required_message: "This field is required",
      password_reset_heading: "Department  of Agriculture",
      password_reset_para:
        "Center Agriculture Laboratory (Soil,Seed,& Plant Protection)",
      form_heading: "Hello! Slimbu",
      form_heading_para: "Please Create the password",
      Password: "Password",
      Confirm_Password: "Confirm Password",
      Create_Account: "Create Account",
      user_credintiallang:
        "Create a new user account for the Jhapa unit under the parent section",
      sample_collection_title: "Seed test form",
      purpose_of_tests: "The Purpose of test",
      vegetable_type: "Vegetable Caste",
      seed_level: "Seed Level",
      name_of_org: "Name of the sending organization",
      address_orga: "Address of the organization send seed",
      seed_batch: "Seed batch and Signal",
      number_of_sacks: "Number of sacks",
      lot_sack: "Lot sack or other rental capacity",
      mininum_sample_number: "Minimum sample number / primary",
      number_of_sample: "Number of Sample",
      amount_of_wool: "The amount of wool",
      weight_taken: "The weight of the sample taken",
      mention_if_seed_treated: "Mention if the seed is treated",
      production_year: "yyyy-mm-dd",
      date_of_sampling: "yyyy-mm-dd",
      sample_location: "Sample location",
      name_and_destination: "Name and destination of sampler",
      mention_anythings: "Mention if anything",
      add_button: "Add",
      kind_of_test: "Kind of test",
      first_name: "First Name",
      middle_name: "Middle Name",
      last_name: "Last Name",
      first_name_np: "First Name Np",
      middle_name_np: "Middle Name Np",
      last_name_np: "Last Name Np",
      designation: "Designation",
      designation_np: "Designation Np",
      email: "Email",
      contact_number: "Contact Number",
      password: "Password",
      department: "Department",
      unit: "Unit",
      select_department: "Select Department",
      select_role: "Select Role",
      value: "value",
    },
  },
  np: {
    translation: {
      slogan:
        "नेपाल सरकार कृषि तथा पशुपन्छी विकास मन्त्रालय कृषि विभाग केन्द्रीय कृषि प्रयोगशाला (माटो,वीउ र बाली संरक्षण)",

      login_heading: "लग - इन",
      login_subHeading:
        "तपाईंले दर्ताको क्रममा प्रविष्ट गर्नुभएको डाटा प्रयोग गरेर लगइन गर्नुहोस्",
      username_label: "प्रयोगकर्ता नाम",
      email_required: "इमेल आवश्यक छ",
      password_label: "पासवर्ड",
      username_required: "प्रयोगकर्ता नाम आवश्यक छ",
      password_required: "पासवर्ड आवश्यक छ",
      login_btn: "लग - इन",
      forgot_password: "पासवर्ड भुल्नु भयो",
      required_message: "यो क्षेत्र आवश्यक छ",
      password_reset_heading: "कृषि विभाग",
      password_reset_para:
        "केन्द्र कृषि प्रयोगशाला (माटो, बीउ, र बिरुवा संरक्षण",
      form_heading: "हेलो! स्लिम्बु",
      form_heading_para: "कृपया पासवर्ड सिर्जना गर्नुहोस्",
      Password: "पासवर्ड",
      Confirm_Password: "पासवर्ड सुनिश्चित गर्नुहोस",
      Create_Account: "खाता सिर्जना गर्नुहोस्",
      user_credintiallang:
        " वाली बिभाग अन्तर्गत झापा unit को लागि नया User Account बनाउनुहोस",
      sample_collection_title: "विउ परिक्षण फारम",
      purpose_of_test: "परिक्षणको उदेश्य",
      vegetable_type: "वाली/जात",
      seed_level: "विउको स्तर",
      name_of_org: "विउ पठाउने संस्थाको नाम",
      address_orga: "विउ पठाउने संस्थाको ठेगाना",
      seed_batch: "विउको लट न. वा संकेत",
      number_of_sacks: "लटमा बोरा वा अन्य भाडाको संख्या",
      lot_sack: "लटमा बोरा वा अन्य भाडाको क्षमता",
      mininum_sample_number: "न्युनतम नमुना संख्या / प्रथमिक",
      number_of_sample: "नमुनाको संख्या",
      amount_of_wool: "विउको लटको परिमाण",
      weight_taken: "लिएको नमुनाको तौल",
      mention_if_seed_treated: "विउ उपचारित भए उल्लेख गर्ने",
      production_year: "yyyy-mm-dd",
      date_of_sampling: "yyyy-mm-dd",
      sample_location: "नमुना लिएको स्थान",
      name_and_destination: "नमुना लिनेको नाम र पद",
      mention_anythings: "यदि केहि भए उल्लेख गर्ने",
      add_button: "थप्नुहोस्",
      kind_of_test: "परिक्षणको किसिम",
      first_name: "पहिलो नाम",
      middle_name: "बीचको नाम",
      last_name: "थर",
      first_name_np: "पहिलो नाम नेपाली",
      middle_name_np: "मध्य नाम नेपाली",
      last_name_np: "अन्तिम नाम नेपाली",
      designation: "पदनाम",
      designation_np: "नेपाली पदनाम",
      email: "इमेल",
      contact_number: "सम्पर्क नम्बर",
      password: "पासवर्ड",
      department: "विभाग",
      unit: "एकाइ",
      select_department: "विभाग चयन गर्नुहोस्",
      select_role: "भूमिका चयन गर्नुहोस्",
      value: "मान:",
    },
  },
};

i18n.use(initReactI18next).init({
  resources,
  lng: "en",
  fallbackLng: "en",
  debug: false,
  interpolation: {
    escapeValue: false,
  },
});
export default i18n;
